Get Agency
curl --request GET \
--url https://eu-gcp-api.vg-stuff.com/v3/agency \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/agency"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/agency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"ID": "<string>",
"userId": "<string>",
"agencyId": "<string>",
"name": "<string>",
"squarePhotoURL": "<string>",
"darkModeSquarePhotourl": "<string>",
"faviconURL": "<string>",
"brandingText": "<string>",
"customDomain": "<string>",
"VGsubDomain": "<string>",
"ts": 123,
"lastModified": 123,
"withVGBranding": true,
"googleFont": "<string>",
"mainWebsite": "<string>",
"supportEmail": "<string>",
"tosPage": "<string>",
"privacyPolicypPage": "<string>",
"confirmedRegion": "<string>",
"customThemeJSONString": "<string>",
"isVerifiedSubDomain": true,
"isVerifiedCustomDomain": true,
"secondaryColorHex": "<string>",
"settings": {
"disablePasswordLogin": true,
"enableClientSignup": true,
"clientOnboarding": {}
}
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Agency
Get Agency
Get the agency for the authenticated workspace
GET
/
agency
Get Agency
Returns the whitelabel agency document for the workspace authenticated by
workspaceSecret. data may be null if none exists.⌘I
